## MacPorts-2.3.2.tar.bz2

=== tests/test/universal/DESCRIPTION ===
This test checks the handling of the universal variant in MacPorts base.
Every port should have an universal variant unless 'universal_variant no' is
specified.

There are 2 test cases. One for universal variant set and another for no
universal variant. For each test a specific Portfile is generated from the
Port.in file.

=== tests/test/dependencies-c/Portfile ===
# $Id: Portfile 79489 2011-06-15 20:31:28Z jmr@macports.org $

PortSystem 1.0
name		dependencies-c
version		1
categories	test
maintainers	pguyot@kallisys.net
description	Test port for dependencies
homepage	http://www.macports.org/
platforms	darwin

long_description ${description}

distfiles
use_configure no
build		{}
destroot	{
	system "touch ${destroot}${prefix}/lib/${name}"
}

default_variants	+i_want_a

variant i_want_a {
	depends_lib-append	port:dependencies-a
}

test {
# testing consists in processing dependencies
}

=== tests/test/statefile-version2-invalid/Portfile ===
# -*- coding: utf-8; mode: tcl; tab-width: 4; indent-tabs-mode: nil; c-basic-offset: 4 -*- vim:fenc=utf-8:ft=tcl:et:sw=4:ts=4:sts=4
# $Id: Portfile 96400 2012-08-08 21:17:12Z cal@macports.org $

PortSystem          1.0
name                statefile-version2-invalid
version             1
categories          test
maintainers         cal
description         Test port for invalid statefiles, version 2
homepage            http://www.macports.org/
platforms           darwin

long_description    ${description}

distfiles

fetch               {}
extract             {}
configure           {}
build               {}
destroot            {
    system "touch ${destroot}${prefix}/lib/${name}"
}

test                {}
